Cофтпанорама 1990, No. 4 (8)            Составитель: Н.Н. БЕЗРУКОВ
******************************************************************

             ***************************************
             *  П А Н О Р А М А   Н О В О С Т Е Й  *
             ***************************************


  ********************** ВСЕСОЮЗНЫЙ КОНКУРС ************************
  ******  на лучшую программу для персональных компьютеров, ********
  ****** организован Гособразованием СССР совмстно с фирмами *******
  ******** "АСКИ Корп." и "Синдзидайся Ко., ЛТД" (Япония).*********

      На конкурс  принимаются программы,  переданные в оргкомитет с 1
февраля 1990г. по 1 мая 1990г. Подведение итогов конкурса - до 1 июля
1990г. Со стороны Гособразования СССР для побетилей конкурса устанав-
ливаются денежные премии на общую сумму 20 тысяч рублей,  грамоты. Со
стороны  японских фирм для победителей устанавливаются следующие при-
зы:
     - четыре  первых  приза  - недельная поездка в Японию и денежный
приз в три тысячи долларов США, либо профессиональная ПЭВМ (последнее
по выбору призёра);
     - четыре вторых приза - денежный приз в одну тысячу долларов США
или (по выбору призёра) цветной телевизор либо видеомагнитофон;
     - четыре третьих приза - ПЭВМ типа MSX-2;
     - двадцать поощрительных прризов - игровой компьютер.
     Все участники конкурса получают памятные сувениры  с  символикой
конкурса.
     На конкурс допускаются игровые программы,  программы - системные
утилиты,  программы для профессионального применения ПЭВМ,  обучающие
программы.
     Участвовать в конкурсе могут отдельные  граждане  и  организации
СССР.
     Программы, представляемые на конкурс, передаются в оргкомитет на
магнитных  носителях  для ПЭВМ типа IBM PC и MSX в форме исполняемого
кода и исходных текстов с  сопроводительными  комментариями  (файлами
документации). Программы сопровождаются заявками на участие в конкур-
се с подписью автора, подтверждающей его согласие с условиями конкур-
са. Полные условия конкурса приведены в каталоге MARKET данного номе-
ра бюллетеня.
                                                                 Ред.


********* Победители первой олимиады, проведенной семинаром ********
** "Системное программирование" будут получать стипендии семинара **

    Спонсором выступила СП ТЕКОП.  Автор выражает искреннюю благодар-
ность В.В.Лысюченко за содействие в реализации идеи "стипендии вместо
премий" для участников олимпиады.  С учетом того, что многие из побе-
дителей являются иногородними студентами и живут в общежитии эти, хо-
тя и небольшие, стипендии окажутся для них далеко не лишними.
                                                                 Ред.


******* Итоги первого Всесоюзного чемпионата компьютерных игр *******
**Программа 13-летнего школьника завоевывает первый приз по реверси**

     О предстоящем чемпионате компьютерных игр уже сообщалось в СОФТ-
ПАНОРАМЕ. Сейчас стали известны некоторые итоги.
     Сенсацией стала  победа  13-летнего  школьника  из  Тамбова Саши
Яковлева, программа которого оказалась сильнейшей в турнире по ревер-
си.  Персональный  компьютер был предоставлен Саше одним из НИИ,  для
которого он пишет какие-то программы.  Газета "Поиск" - один из орга-
низаторов соревнований назначила Саше стипендию 50 руб. в месяц и по-
обещала регулярно приглашать юного программиста в Москву на  академи-
ческие  семинары  (вот она наша бедность - даже плохенькой персоналки
не подарили - ред.).
     На московском  чемпионате подтвердила свой класс программ игры в
гомоку отчественная программа "Матена-Чанг" (автор  Александр Гитис),
которая  ранее завоевала золотую медать первой Всемирной компьютерной
олимпиады.
     Среди отечественных  шахматных  программ лучшей была "Электрони-
ка" ленинградского программиста Сергея Рогова.

                                      по материалам заметки С.Лескова
                                     "Компьютерные игры это серьезно"
                                      ИЗВЕСТИЯ, 11 апреля 1990


**Киевские программисты - претенденты на включение в книгу Гиннеса**
**********  Самая маленькая полезная программа для MS DOS **********

   Программа имеет длину 6 байтов и обеспечивает  выключение NumLock.
Авторами программы являются студенты КГУ.  Программа приведена в раз-
деле MINIWARE данного выпуска СОФТПАНОРАМЫ.

                                                                 Ред.

******* После продолжительного перерыва состоялось очередное *******
************ заседание семинара "Информационные системы" ***********

   27 марта в КИНХе состоялось очередное заседание семинара "Информа-
ционные системы".  Программа включала три сообщения Р.В.Ситника "Тех-
нология  самообучения",  "Алгоритм  поиска  по нечеткому синтаксису и
быстрый поиск" и "TPascal 5.5 + Modula 2"; В.А.Костромина "Реализация
прикладных систем в среде InterExpert"; В.Г.Тесленко, "Средства пост-
роения интерфейса пользователя в среде UI  Programmer";  О.В.Костенко
"Программы обслуживания винчестра";  С.Н.Костюкова "Сравнительная ха-
рактеристика dBase III - клонов и dBase IV".
                                                                 Ред.

******************** Незаражаемыe фаг и детектор *******************

     Сотрудник ИВЦ  Кемеровского  госуниверситета  Евгений Николаевич
Сусликов (p.тел.  23-44-03) разработал незаражаемыe фаг  и  детектор.
Фаг,  получивший название К16 (размер порядка 18К),  написан на языке
ассемблера,  а детектор LD ( Lie Detector ) - на языке С. Пpичем если
"заpаза" новая,  она  запоминается "в лицо" и в дальнейшем файлы тес-
тиpуются также и на нее. Помимо неинфицируемости фаг специально прис-
пособлен  для лечения "бутербродов" - программ зараженных несколькими
вирусами.  До приезда на семинар у автора была неполная коллекция ви-
русов.  После передачи автору достаточно полной коллекции составителя
возможности фага будут расширены и мы надеемся, что к осени в СОФТПА-
НОРАМЕ будет опубликован новый вариант указанных программ.

                                                                  Ред.

******** Фаг, написанный студентом, претендует на лидерство ********

      Фаг AV.COM,  написанный  московским  студентом  Игоpем Сысоевым
вполне может конкуренцию таким известным  полифагам  как  AIDSTEST  и
DOCTOR и ANTI-KOT.  Фаг имеет меньший размер (12К), поскольку написан
на ассемблере.  Функциональные возможности сопоставимы  с  указанными
выше программами. Качество документации - хорошее.
                                                                 Ред.



*** Файловый вирус стирает запускаемые программы по воскресеньям ***

     Вирус получил название Sunday или RСЕ-1636 по используемой авто-
ром классификации.  Изучение кода показало,  что его можно рассматри-
вать в качестве штамма вируса RCE-1813 (Ierusalem, Black Friday). RСЕ
-1636 является резидентным файловым вирусом,  поражающим как СОМ-фай-
лы,  так и ЕХЕ-файлы.  Вирус не проверяет версию MS DOS,  на  которой
функционирует,  однако по-видимому, он работоспособен на версиях, на-
чиная с 2.0.  Заражаются как COM,  так и EXE-файлы при загрузке их  в
память для выполнения (прерывание 21-4Bh),  ограничений на длину фай-
лов нет,  поэтому вирус уничтожает COM-файлы, длина которых после за-
ражения  превысит 64K.  Вирус не заражает COMMAND.COM.  Перехватывает
прерывание 21h.

     Файлы типа СОМ поражаются данным вирусом  однократно,  при  этом
дата их создания не меняется, а длина увеличивается на 1636 байтов. В
инфицированной программе тело вируса размещается в начале  файла.  Со
смещением  184h  от  начала  зараженного  файла расположена текстовая
строка COMMAND.COM, а со смещением 351h - текст сообщения выдаваемого
вирусом на экран:

       Today is SunDay! Why do you work so hard?
       All  work and no play make you a dull boy!
       Come on ! Let's go out and have some fun!$

      (Сегодня воскресенье! Зачем работать так напряженно ?
      Постоянная работа без игр делает Вас занудой !
      Пошли ! Давай выйдем из дому и развлечемся !)

     В конец  зараженного  СОМ-файла  записывается  пятибайтовое поле
(обычно это поле содержит "",  однако возможны штаммы с другим содер-
жанием).  Указанное поле используется вирусом в качестве признака за-
раженности COM-файлов.

     EXE-файлы заражаются однократно.  Контроль зараженности по  тому
же пятибайтовому полю.

     Вирус виден  по карте памяти.  После загрузки в память вирус пе-
рехватывает прерывания 08 и 21.  После того как вирус  RСЕ-1636  стал
резидентным,  он пытается заразить каждый запускаемый файл, за исклю-
чением COMMAND.COM.

    При выполнении зараженной программы вирус вначале проверяет нали-
чие  своей копии в памяти компьютера,  аналогично тому как это делает
вирус RCE-1813.

     Как уже указывалось, данный вирус имеет стадию детонации, насту-
пающую в воскресенье.  В этот день вирус не заражает собой все запус-
каемые файлы,  а просто удаляет их с диска. Таким образом при попытке
запустить  программу  на  выполнение DOS выдает сообщение о том,  что
файл не найден.  В результате будут  уничтожены  все  файлы,  которые
пользователь  пытается запускать стаpаясь выяснить,  что происходит с
компьютером.

     При определенных,  еще не выясненных,  условиях вирус выдает  на
экран  дисплея  приведенное выше сообщение.  По мнению Д.Н.Лозинского
есть надежда,  что в этом месте вирус содержит ошибку и данная  ветка
никогда не выполняется.

                        Неформальные названия

     Полидетектор SCAN называет данный штамм "Sunday Virus [Sunday]".

                        Исторические замечания

     Вирус RСE-1636 появился в конце 1988 - начале 1989 года в США. В
СССР обнаружен к марте 1990 в Ленинграде  и  Киеве.  Версии  полифага
AIDSTEST, начиная с апреля 1990 обнаруживают и уничтожают этот штамм.


     Фрагмент дампа программы DUMMY34, зараженной вирусом Sunday

0000:  e9 92 00 01 31 c8 f7 e1 ee e7 00 01 f5 1e 00 00    "....1..........."
0010:  00 22 00 aa 00 df 0f 60 02 fd 12 56 05 c6 10 90    ".".....`...V...."
0020:  7e 00 00 00 00 00 00 00 00 00 00 00 00 00 45 06    "~.............E."
0030:  10 e0 2b 80 00 00 00 80 00 e0 2b 5c 00 e0 2b 6c    "..+.......+\..+l"
0040:  00 e0 1b 80 00 6c 3e 12 00 d3 39 00 f0 06 00 4d    ".....l>...9....M"
0050:  5a c4 01 75 00 00 00 20 00 39 06 ff ff 16 0e 5d    "Z..u... .9.....]"
0060:  06 84 19 c4 00 16 0e 1e 00 00 00 90 90 90 cd 20    "............... "
0070:  05 00 20 00 88 14 a5 79 00 02 10 00 60 e3 00 00    ".. ....y....`..."
0080:  b9 41 2a 9b 43 4f 4d 4d 41 4e 44 2e 43 4f 4d 01    ".A*.COMMAND.COM."
0090:  00 00 00 00 00 fc b4 ff cd 21 80 fc ff 73 15 80    ".........!...s.."
00a0:  fc 04 72 10 b4 dd bf 00 01 be 5f 06 03 f7 2e 8b    "..r......._....."
00b0:  4d 11 cd 21 8c c8 05 10 00 8e d0 bc 5d 06 50 b8    "M..!........].P."
00c0:  c4 00 50 cb fc 06 2e 8c 06 31 00 2e 8c 06 39 00    "..P......1....9."

 ...   ...   ...   ...    ...   ...    ...   ...    ...   ...    ...   ...

0240:  1f 00 90 7e 5e 5b 58 2e ff 0e 1f 00 2e ff 2e 13    "...~^[X........."
0250:  00 54 6f 64 61 79 20 69 73 20 53 75 6e 44 61 79    ".Today is SunDay"
0260:  21 20 57 68 79 20 64 6f 20 79 6f 75 20 77 6f 72    "! Why do you wor"
0270:  6b 20 73 6f 20 68 61 72 64 3f 0a 0d 41 6c 6c 20    "k so hard?..All "
0280:  20 77 6f 72 6b 20 61 6e 64 20 6e 6f 20 70 6c 61    " work and no pla"
0290:  79 20 6d 61 6b 65 20 79 6f 75 20 61 20 64 75 6c    "y make you a dul"
02a0:  6c 20 62 6f 79 21 0a 0d 43 6f 6d 65 20 6f 6e 20    "l boy!..Come on "
02b0:  21 20 4c 65 74 27 73 20 67 6f 20 6f 75 74 20 61    "! Let's go out a"
02c0:  6e 64 20 68 61 76 65 20 73 6f 6d 65 20 66 75 6e    "nd have some fun"
02d0:  21 24 9c 80 fc ff 75 05 b8 00 04 9d cf 80 fc dd    "!$....u........."
02e0:  74 0e 3d 00 4b 75 03 eb 35 90 9d 2e ff 2e 17 00    "t.=.Ku..5......."
02f0:  58 58 b8 00 01 2e a3 0a 00 58 2e a3 0c 00 f3 a4    "XX.......X......"
0300:  9d 2e a1 0f 00 2e ff 2e 0a 00 33 c9 b8 01 43 cd    "..........3...C."
0310:  21 b4 41 cd 21 b8 00 4b 9d 2e ff 2e 17 00 2e 80    "!.A.!..K........"
0320:  3e 0e 00 01 74 e4 2e c7 06 70 00 ff ff 2e c7 06    ">...t....p......"
0330:  8f 00 00 00 2e 89 16 80 00 2e 8c 1e 82 00 50 53    "..............PS"
0340:  51 52 56 57 1e 06 fc 8b fa 32 d2 80 7d 01 3a 75    "QRVW.....2..}.:u"

 ...   ...   ...   ...    ...   ...    ...   ...    ...   ...    ...   ...

05d0:  1f c5 16 80 00 2e 8b 0e 72 00 b8 01 43 cd 21 8d    "........r...C.!."
05e0:  16 1b 00 b8 24 25 cd 21 07 1f 5f 5e 5a 59 5b 58    "....$%.!.._^ZY[X"
05f0:  9d 2e ff 2e 17 00 fc 03 00 00 00 00 00 00 00 00    "................"
0600:  00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    "................"
0610:  00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    "................"
0620:  00 00 00 00 00 00 00 00 00 00 2c 08 25 46 00 08    "..........,.%F.."
0630:  25 08 25 c6 07 16 02 6c 15 40 00 3c fc 04 00 0d    "%.%....l.@.<...."
0640:  c9 7e 93 00 01 07 02 d4 00 f5 1e 55 c8 55 6c fe    ".~.........U.Ul."
0650:  b9 8b 00 80 3e eb 54 a2 4c 80 00 3e 00 43 56 90    "....>.T.L..>.CV."
0660:  90 90 90 90 90 90 90 90 90 90 90 90 90 90 90 90    "................"
0670:  90 90 90 90 90 90 90 90 90 90 90 90 90 90 90 cd    "................"
0680:  20 c8 f7 e1 ee e7                                  " ....."


